.nrcookieparent {
    z-index: 99999999;
    position: fixed;
    bottom: 45px;
    left: 15px;
    width: 450px;
    max-width: 100%;
    max-width: calc(100% - 30px);
}
.nrcookieimage {
    position: absolute;
    top: 5px;
    left: 5px;
    opacity: 0.3;
    z-index: 1;
}
.nrcookieimage img {
    width: 30px;
}
.nrcookie {
    background: white;
    border: 1px solid gainsboro;
    border-radius: 5px;
    padding: 15px;
    margin-bottom: -30px;
    max-height: 100vh;
    max-height: calc(100vh - 30px);
    overflow: auto;
    box-shadow: 0 0 15px #00000040;
}
.nrcookiemaintext {
    text-align: center;
    font-size: 20px;
    margin-bottom: 5px;
}
#nrcookiedetails {
    font-weight: 700;
    text-decoration: underline;
    cursor: pointer;
}
.nrcookiebuttons {
    display: flex;
    flex: 1;
    gap: 10px;
}
.nrbutton {
    border: none;
    background: #ebebeb;
    padding: 10px;
    flex: 1;
    border-radius: 5px;
    font-weight: 700;
    transition: all 0.3s ease;
}
.nrbutton:hover {
    background: #d7d7d7;
}
.nrbuttonaccept {
    background: #000000d6;
    color: white;
}
.nrbuttonaccept:hover {
    background: #000000;
}
.nrcookieoptioncontent {
    margin: 10px 0px;
}
.nrcookieoptioncontent label {
    display: flex;
    cursor: pointer;
    font-size: 16px;
    align-items: center;
}
.nrcookieoptioncheck {
    cursor: pointer;
    width: 50px;
    height: 24px;
    border-radius: 12px;
    display: block;
    background-color: #ebebeb;
    position: relative;
    color: white;
}
.nrcookieoptioncheck:before {
    content: "";
    background-color: white;
    display: block;
    width: 20px;
    height: 20px;
    border-radius: 10px;
    top: 2px;
    left: 2px;
    position: absolute;
    transition: all 0.3s ease;
}
.nrcookieoptiontitle {
    flex: 1;
    padding-left: 10px;
}
.nrcookieoptiontitle i {
    float: right;
    transition: all 0.3s ease;
}
.nrcookieoptiontitle i.rotatefa {
    transform: rotate(180deg);
}
.nrcookieoptioncontent label input {
    width: 0px;
    margin: 0;
    padding: 0;
}
.nrcookieoptioncontent label input:checked + span {
    background: #000000;
}
.nrcookieoptioncontent label input:checked + span:before {
    left: 28px;
    font-family: FontAwesome;
    content: "\f00c";
    color: #ffffff;
    text-align: center;
}
.nrcookieoptioncheck.nrcookieoptionchecksimple {
    background: white;
}
.nrcookieoptioncheck.nrcookieoptionchecksimple:before {
    font-family: FontAwesome;
    content: "\f00c";
    color: #ffffff;
    left: 15px;
    text-align: center;
}
.nrcookieoptionbutton {
    text-align: right;
    margin-left: 10px;
}
button#nrcookieacceptselected {
    width: 50%;
    right: auto;
}